﻿
using System.Collections;
using System.IO;
using System.Text;

namespace DockManagerTest.ViewModel
{
    public static class LayoutHandler
    {
        public static Hashtable Layouts { get; set; }

        public static void SaveLayout(MemoryStream stream, string logName)
        {
            if (logName == null) return;

            stream.Position = 0;
            var sr = new StreamReader(stream);
            var layout = sr.ReadToEnd();

            if (Layouts.ContainsKey(logName))
                Layouts[logName] = layout;
            else Layouts.Add(logName, layout);
        }

        public static MemoryStream LoadLayout(string logName)
        {
            var layout = Layouts[logName].ToString();
            var stream = new MemoryStream();

            var sw = new StreamWriter(stream, Encoding.UTF8);
            sw.Write(layout);
            sw.Flush();
            stream.Position = 0;

            return stream;
        }

    }
}
