using System.Windows.Controls;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;

namespace DockManagerTest.ViewModel
{

    public class MainViewModel : ViewModelBase
    {
        private View3ViewModel _view3ViewModel;
        private View4ViewModel _view4ViewModel;
        private ViewModelBase _currentViewModel;



        public ViewModelBase CurrentViewModel
        {
            get { return _currentViewModel; }
            set { Set(() => CurrentViewModel, ref _currentViewModel, value); }
        }


        public RelayCommand<TreeViewItem> OnViewChangeCommand { get; set; }

        public MainViewModel()
        {
            OnViewChangeCommand = new RelayCommand<TreeViewItem>(OnViewChange);

            _view3ViewModel = new View3ViewModel();
            
           CurrentViewModel = _view3ViewModel;
        }

        private void OnViewChange(TreeViewItem item)
        {
            if (item == null) return;

            if (item.Name == "View3")
            {
                if (_view3ViewModel == null)
                    _view3ViewModel = new View3ViewModel();
                CurrentViewModel = _view3ViewModel;
            }
            else if (item.Name == "View4")
            {
                if (_view4ViewModel == null)
                    _view4ViewModel = new View4ViewModel();
                CurrentViewModel = _view4ViewModel;
            }
        }
    }
}